import { createApp } from 'vue'
import App from './App.vue'
import router from './router/index'
import ElementPlus from 'element-plus';
/** 添加公共样式 */
import './style/index.scss';
import zhCn from 'element-plus/es/locale/lang/zh-cn';
import {createI18n} from 'vue-i18n';
const app = createApp(App);

const i18n = new createI18n({
    locale: 'zh-cn',
    messages: {
      'zh-cn': zhCn
    }
})
app.use(ElementPlus, {
    locale: zhCn
  });
app.use(i18n);
app.use(router);

app.mount('#app');
